<?xml version="1.0" encoding="windows-1251"?>
<xsl:stylesheet version="1.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:common="http://common.bitel.ru">
	<xsl:import href="layout.xsl" />
	<xsl:template name="title">
		<xsl:choose>
			<xsl:when test="data/@action = 'HD'">
				 
			</xsl:when>
			<xsl:when test="data/@action = 'ZoneParams'">
				 
			</xsl:when>
		</xsl:choose>
	</xsl:template>
	<xsl:template match="/data">
		<xsl:choose>
			<xsl:when test="@action = 'HD'">
				<xsl:call-template name="zoneList"/>
			</xsl:when>
			<xsl:when test="@action = 'ZoneParams'">
				<xsl:call-template name="zoneParams"/>
			</xsl:when>
		</xsl:choose>
	</xsl:template>

	<xsl:template name="head">
	<xsl:text disable-output-escaping="yes">
	<![CDATA[
	<script type="text/javascript">
	 function f1()
	{
		b = document.getElementById('hl').getElementsByTagName("div")
		t = document.getElementById('type')
		for (var i = 0; i < b.length; i++)
		{
			if( b[i].id == t.value)
			{
				b[i].style.display='block';
			}
			else
			{
				b[i].style.display='none';
			} 
		}
	}
	</script>   
	<style TYPE="text/css" TITLE="hd style">
	<!--
		@media screen,print
		{
			a.s { color: #0056a2; font-family: Arial; text-decoration: underline;font-size: 12px; padding-bottom: 20px;padding-left: 20px; padding-top: 0px; }
			a:hover { color: #269AF0; text-decoration: underline; } 
			a:visited { color: #0056a2; text-decoration: underline; }
			div.template
			{
				font-family: Arial;
				font-size: 12px;
				padding-bottom: 10px;
				padding-left: 20px;
				padding-top: 12px;
			}
			table.r
			{
				border-collapse:separate;
	  			border-spacing:15px 3px;
	  			text-align: left;
			}
			input.p
			{
				width:300px;
			}
			
			font.q
			{
				font-family: Arial;
				font-size: 12px;
			}
		}
	-->
	</style>    
	
	    ]]>
	</xsl:text>
	</xsl:template>

	<xsl:template name="zoneList">
	<div class="report">
		<table border="0" cellspacing="1">
			<thead>
				<tr>
					<td></td>
					<td></td>
					<td> </td>
					<td></td>
					<td></td>
	  				<td></td>
	  			</tr>
	 			</thead>
	 			<tbody>
	  				<xsl:for-each select="zoneList/zone">
	  					<tr>
	  						<td>
	  							<xsl:value-of select="@zone" />
	  						</td>
	  						<td>
	  							<xsl:value-of select="@created" />
	  						</td>
	  						<td>
	  							<xsl:value-of select="@paid-till" />
	  						</td>
	  						<td>
	  							<xsl:value-of select="@state" />
	  						</td>
	  						<form method="post" action="{$WEBEXECUTER}" id="form1">
	  							<xsl:call-template name="module"/>
								<input type="hidden" id="action" name="action" value=""/>
								<input type="hidden" id="zoneId" name="zoneId" value=""/>
								<input type="hidden" id="command" name="command" value=""/>
		  						<td>
		  							<input type="button" value="" onclick="$('action').value='ZoneParams';$('zoneId').value='{@id}'; $('form1').submit();"/>
		  						</td>
		  						<td>
		  							<input type="button" value="" onclick="$('action').value='HD';$('zoneId').value='{@id}'; $('command').value='delete'; $('form1').submit();"/>
		  						</td>
		  					</form>
		  				</tr>
	  				</xsl:for-each>
	 			</tbody>
			</table>
	</div>
	</xsl:template>
	
	<xsl:template name="zoneParams">
		<div style="font-family: Arial;font-size: 14px;padding-bottom: 10px;padding-left: 10px; padding-top: 12px;">
			 <xsl:value-of select="@zone" />
		</div>
		<div>
			<a class="s" href="{$WEBEXECUTER}?action={@action}&amp;module={@module}&amp;mid={@mid}&amp;zoneId={@zoneId}&amp;template=info">Info</a>
			<a class="s" href="{$WEBEXECUTER}?action={@action}&amp;module={@module}&amp;mid={@mid}&amp;zoneId={@zoneId}&amp;template=soa">SOA</a>
			<a class="s" href="{$WEBEXECUTER}?action={@action}&amp;module={@module}&amp;mid={@mid}&amp;zoneId={@zoneId}&amp;template=rz"> </a>
		</div>
		
		<xsl:choose>
			<xsl:when test="@template = 'info'">
				<xsl:call-template name="info"/>
			</xsl:when>
			<xsl:when test="@template = 'soa'">
				<xsl:call-template name="soa"/>
			</xsl:when>
			<xsl:when test="@template = 'rz'">
				<xsl:call-template name="rz"/>
			</xsl:when>
		</xsl:choose>
		<div style="font-family: Arial;font-size: 14px;padding-bottom: 10px;padding-left: 10px; padding-top: 5px;">
			<form method="post" action="{$WEBEXECUTER}">
				<xsl:call-template name="module"/>
				<input type="hidden" name="action" value="HD"/>
				<input type="submit" value=""/>
			</form>
		</div>
	</xsl:template>
	
	<xsl:template name="info">
		<div class="template">
			<b>NS </b>
			<div>
				<i>Primary: </i> <xsl:value-of select="@primary"></xsl:value-of>
			</div>
			<div>
				<i>Secondary: </i> <xsl:value-of select="@secondary" />
			</div>
		</div>
		<div class="template">
			<b>SOA:</b>
			<div>
				<i>TTL</i> - <xsl:value-of select="@ttl"/>,
				<i>Person</i> - <xsl:value-of select="@person"/>,
				<i>Serial</i> - <xsl:value-of select="@serial"/>,
				<i>Refresh</i> - <xsl:value-of select="@refresh"/>,
				<i>Retry</i> - <xsl:value-of select="@retry"/>,
				<i>Expire</i> - <xsl:value-of select="@expire"/>,
				<i>Minimum</i> - <xsl:value-of select="@minimum"/>.
			</div>
		</div>
		<div class="template">
			<b> :</b>
			<div style="height:240px;overflow-y:auto">
				<table class="r">
					<xsl:for-each select="records/record">
						<tr>
							<td><xsl:value-of select="@param1"/></td>
							<td><xsl:value-of select="@type"/></td>
							<td><xsl:value-of select="@param2"/></td>
							<xsl:if test="@param3">
								<td><xsl:value-of select="@param3" /></td>
							</xsl:if>
						</tr>
					</xsl:for-each>
				</table>
		  	</div>
		</div>	
	</xsl:template>
	<xsl:template name="soa">
		<div class="template">
		<b>SOA:</b>
		<form method="post" action="{$WEBEXECUTER}">
			<xsl:call-template name="module"/>
			<input type="hidden" name="action" value="ZoneParams"/>
			<input type="hidden" name="template" value='{@template}'/>
			<input type="hidden" name="command" value="save"/>
			<input type="hidden" name="zoneId" value='{@zoneId}'/>
		<table border="0" cellspacing="0">
			<tr>
				<td><font class="q">TTL</font></td>
				<td>
					<input type="text" name="ttl" value='{@ttl}'/>
				</td>
				<td>
					<font class="info">         DNS-.<br/>
					  <xsl:value-of select="@ttlDef"/></font>
				</td>
			</tr>
			<tr>
				<td><font class="q">Person</font></td>
				<td>
					<input type="text" name="person" value='{@person}'/>
				</td>
				<td>
					<font class="info">   ,   . <br/>
					  <xsl:value-of select="@personDef"/></font>
				</td>
			</tr>
			<tr>
				<td><font class="q">Serial</font></td>
				<td>
					<input type="text" name="serial" value='{@serial}'/>
				</td>
				<td>
					<font class="info">        .    .<br/>
					  <xsl:value-of select="@serialDef"/></font>
				</td>
			</tr>
			<tr>
				<td><font class="q">Refresh</font></td>
				<td>
					<input type="text" name="refresh" value='{@refresh}'/>
				</td>
				<td>
					<font class="info">,        .<br/>
					  <xsl:value-of select="@refreshDef"/></font>
				</td>
			</tr>
			<tr>
				<td><font class="q">Retry</font></td>
				<td>
					<input type="text" name="retry" value='{@retry}'/>
				</td>
				<td>
					<font class="info">         .<br/>
					  <xsl:value-of select="@retryDef"/></font>
				</td>
			</tr>
			<tr>
				<td><font class="q">Expire</font></td>
				<td>
					<input type="text" name="expire" value='{@expire}'/>
				</td>
				<td>
					<font class="info">,         . <br/>
					  <xsl:value-of select="@expireDef"/></font>
				</td>
			</tr>
			<tr>
				<td><font class="q">Minimum</font></td>
				<td>
					<input type="text" name="minimum" value='{@minimum}'/>
				</td>
				<td>
					 <font class="info">       . <br/>
					   <xsl:value-of select="@minimumDef"/></font>
				</td>
			</tr>
		</table>
		<div>
			<input type="submit" value=""/>
		</div>
		</form>
		
	</div>
	
	</xsl:template>
	<xsl:template name="rz">
		<xsl:call-template name="error"/>	
		<div class="template">
			<div>
				<form method="post" action="{$WEBEXECUTER}" id="addRecord">
			  		<xsl:call-template name="module"/>
			  		<input type="hidden" name="action" value="ZoneParams"/>
					<input type="hidden" name="zoneId" value='{@zoneId}'/>
					<input type="hidden" name="command" value="add"/>
					<input type="hidden" name="template" value='rz'/>
					  : <br/>
					<input type="text" name="param1"/>
					<select id="type" name="type" onchange="f1();">
						<xsl:call-template name="selType">
							<xsl:with-param name="edit">true</xsl:with-param>
						</xsl:call-template>
					</select>
					<input class="p" type="text" name="param2" />
					<input type="submit" value=""/>
				</form>
				<div id="hl">
					<div id="A" style="display:block; padding-left: 10px;">
						<font class="info">
							  A           IP-.<br/>
							<b> : _    [TTL]    A    IP-,</b>  TTL  .<br/>
							: <i>info.test.ru    86400    A    194.85.61.44</i>
						</font>
					</div>
					<div id="AAAA" style="display:none; padding-left: 10px;">
						<font class="info">
							  A           IP-  IPv6.<br/>
							<b> : _    [TTL]    AAAA    IP-,</b>  TTL  .<br/>
							: <i>k.test-dervice.ru    86400    AAAA    2001:7fd::1</i>
						</font>
					</div>
					<div id="MX" style="display:none; padding-left: 10px;">
						<font class="info">
							  MX (Mail Exchange -  )    - ,<br/>
							     .<br/>
							<b> : _    [TTL]    MX         ,</b> TTL  .<br/>
							: <i> test.ru.    86400    MX    10    relay2.test.ru.</i>
						</font>
					</div>
					<div id="CNAME" style="display:none; padding-left: 10px;">
						<font class="info">
							  CNAME (Canonical Name -  )     .<br/>
							 ,  ,       - ,<br/>
							    .<br/>
							<b>          () ,    !</b> 
							<b> :     [TTL]    CNAME    _, </b> TTL  .<br/>
							: <i>ftp.test.ru.     86400    CNAME    arhive.test.ru.</i> 
						</font>
					</div>
					<div id="NS" style="display:none; padding-left: 10px;">
						<font class="info">
							  NS (Name Server - c )  DNS-   .<br/>
							   NS        DNS-,<br/>
							     DNS-,   .<br/>
							<b> : _    [TTL]    NS    _, </b> TTL  .<br/>
							: <i>test.ru.    86400    NS    ns3.test.ru.</i>
						</font>
					</div>
					<div id="PTR" style="display:none; padding-left: 10px;">
						<font class="info">
							  PTR (Pointer - )      IP-   .<br/>
							        PTR.<br/>
							<b> :     [TTL]    PTR    _, </b> TTL  .<br/>
							: <i>42.61.85.194.in-addr.arpa.    86400    PTR    www.my-domain-name.ru.</i>
						</font>
					</div>
					<div id="TXT" style="display:none; padding-left: 10px;">
						<font class="info">
							  TXT       .<br/>
							<b> :    [TTL]   TXT   ,</b> TTL  .<br/>
							: <i>test.ru.      TXT   "the domain for RU-CENTER services testing"</i>
						</font>
					</div>
				</div>
			</div>
			<div style="max-height:450px;overflow-y:auto;padding-top: 10px;">
			
				<xsl:for-each select="records/record">
				<div>
					<xsl:variable name="i" select="position()"/>
					<form method="post" action="{$WEBEXECUTER}" id='{$i}' >
						<input type="hidden" name="recordId" value='{@recordId}'/>
						<input type="hidden" name="action" value="ZoneParams"/>
						<input type="hidden" name="zoneId" value='{../../@zoneId}'/>
						<input type="hidden" name="template" value='rz'/>
						<input type="hidden" id="command" name="command" value=""/>
						<input type="hidden" name="type" value='{@type}'/>
						<xsl:call-template name="module"/>
						
						<input type="text" name="param1" value='{@param1}'/>
						<select disabled="true">
							<xsl:call-template name="selType">
								<xsl:with-param name="selectedType"> <xsl:value-of select="@type"/> </xsl:with-param>
							</xsl:call-template>
						</select>
						<input class="p" type="text" name="param2" value='{@param2}'/>
						<a class="s" href="#" onclick="document.getElementById('{$i}').elements['command'].value='save';document.getElementById('{$i}').submit();return false;"></a>
						<a class="s" href="#" onclick="document.getElementById('{$i}').elements['command'].value='delete';document.getElementById('{$i}').submit();return false;"></a>
					</form>
				</div>
				</xsl:for-each>
			</div>
		</div>
	</xsl:template>
	<xsl:template name="selType">
		<xsl:param name="selectedType"/>
			<option value="A">
				<xsl:if test="'A' = $selectedType"> 
					<xsl:attribute name="selected"/>
				</xsl:if> 
				A
			</option>
			<option value="AAAA">
				<xsl:if test="'AAAA' = $selectedType"> 
					<xsl:attribute name="selected"/>
				</xsl:if>
				AAAA
			</option>
			<option value="MX">
				<xsl:if test="'MX' = $selectedType"> 
					<xsl:attribute name="selected"/>
				</xsl:if>
				MX
			</option>
			<option value="CNAME">
				<xsl:if test="'CNAME' = $selectedType"> 
					<xsl:attribute name="selected"/>
				</xsl:if>
				CNAME
			</option>
			<option value="NS">
				<xsl:if test="'NS' = $selectedType"> 
					<xsl:attribute name="selected"/>
				</xsl:if>
				NS
			</option>
			<option value="PTR">
				<xsl:if test="'PTR' = $selectedType"> 
					<xsl:attribute name="selected"/>
				</xsl:if>
				PTR
			</option>
			<option value="TXT">
				<xsl:if test="'TXT' = $selectedType"> 
					<xsl:attribute name="selected"/>
				</xsl:if>
				TXT
			</option>
	</xsl:template>
</xsl:stylesheet>